#use this script to define game variables

import bge
import mathutils

class hydraSetup:
	#blender units you want to be able to move your controller objects -- ie: 10 = +/- 10 blender units
	hydraZone = 10	#how far you can move on either side - used in calibration
	#Defines how far you need to move the joysticks to issue a tap
	tapMargin = .5
	
	#the hydra controller moves in mm out to about +/- 2200 mm. 
	#if we want you to not have to move that far, we can put in a different number. 
	#so this number is the max mm you move before you hit an edge and go outside of the basic control zone
	gameEdgeL = 1500
	gameEdgeR = 1500
	
	#offset the hydra controllers from the base in mm (use a measuring stick to find out!
	#also, in case you were wondering, it's in X,Y,Z. =)
	offsetL = mathutils.Vector([0,0,0])
	offsetR = mathutils.Vector([0,0,0])
	